欢迎光临
感受代码之美

CentOS安装oniguruma

环境

  • CentOS Linux release 7.3.1611 (Core) 搬瓦工
  • php:php-7.4.3

错误

安装php进行编译时报错:

configure: error: Package requirements (oniguruma) were not met:

No package 'oniguruma' found

解决办法

使用下列两种方式进行安装。

1.yum安装rpm包

yum install https://dl.fedoraproject.org/pub/epel/7/x86_64/Packages/o/oniguruma-5.9.5-3.el7.x86_64.rpm

yum install https://dl.fedoraproject.org/pub/epel/7/x86_64/Packages/o/oniguruma-devel-5.9.5-3.el7.x86_64.rpm

2.从git编译安装

git clone https://github.com/kkos/oniguruma.git

cd oniguruma

./configure

make

make install

参考:

  1. https://amon.org/oniguruma
赞(0)
未经允许禁止转载:四个空格 » CentOS安装oniguruma